﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ChangingThemesRuntime
{
	public class ViewModel : ViewModelBase
	{
		private Theme theme;
		private string text;

		public ViewModel()
		{
			this.Theme = new MetroTheme();
			this.Text = "Pesho";
		}

		public Theme Theme
		{
			get
			{
				return this.theme;
			}
			set
			{
				this.theme = value;
				this.OnPropertyChanged(() => this.Theme);
			}
		}

		public string Text
		{
			get
			{
				return this.text;
			}
			set
			{
				this.text = value;
				this.OnPropertyChanged(() => this.Text);
			}
		}
	}
}
